Results 1 to 3 of 3

Thread: php error: failed to open ...

  1. #1
    Join Date
    Apr 2008
    Posts
    9

    Default php error: failed to open ...

    I tried to run PTS1.0 on opensuse10.0 and get the error below.
    googling a bit i found i need to set include_path.

    But where ? It seems that there are several php programms.
    I tried:

    ini_set('include_path',getenv('PTS_DIR') ); in pts-core/pts-run-cmd.php


    /*
    output withput ini_set() in pts-core/pts-run-cmd.php
    */
    ./phoronix-test-suite install
    PHP Warning: main(pts-core/functions/pts-functions.php) [<a href='function.main'>function.main</a>]: failed to open stream: No such file or directory in /home/scratch/mnt/phoronix-test-suite/phoronix-test-suite/pts-core/pts-run-cmd.php on line 25
    PHP Fatal error: main() [<a href='function.require'>function.require</a>]: Failed opening required 'pts-core/functions/pts-functions.php' (include_path='/usr/share/php5') in /home/scratch/mnt/phoronix-test-suite/phoronix-test-suite/pts-core/pts-run-cmd.php on line 25
    Content-type: text/html
    X-Powered-By: PHP/5.0.4


    /*
    output with ini_set() pts-core/pts-run-cmd.php
    */

    PHP Warning: md5_file() [<a href='function.md5-file'>function.md5-file</a>]: Unable to open file in /home/scratch/mnt/phoronix-test-suite/phoronix-test-suite/pts-core/functions/pts-functions_config.php on line 33
    Content-type: text/html
    X-Powered-By: PHP/5.0.4

  2. #2
    Join Date
    Apr 2008
    Posts
    9

    Default continued ...

    is somewhere in the docs mentioned that you need to set http_proxy
    so talk to your firewall ?
    for people like me that never set that to prevent an information leak:

    http_proxy=http:// [user [ : password ] @ ] host [ : port]

    and ./phoronix-test-suite install-all
    can be started.

    the warning about md5_file , no clue

  3. #3
    Join Date
    Apr 2008
    Posts
    9

    Default md5 is important

    ok the md5 warning is important because the prg verifies with it.
    maybe that should be changed to an error ???


    I guess the error is not a bad md5sum but a non existing md5sum



    Downloading File: libxml2-2.6.31.tar.gz

    The MD5 check-sum of the downloaded file is incorrect.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •